Author Topic: Help with downgrading Nspire CX CAS  (Read 122 times)

0 Members and 1 Guest are viewing this topic.

Offline watermeloninja

  • LV0 Newcomer (Next: 5)
  • Posts: 1
  • Rating: +0/-0
    • View Profile
Help with downgrading Nspire CX CAS
« on: August 07, 2019, 04:45:52 pm »
I just got a revision M Nspire CX CAS, wanting to install ndless. I think when I got it, it was on a compatible firmware, but I didn't realize that until after I had updated the firmware to 4.5.1. :banghead:

So after many hours of reading through French PDFs and whatever, here's the current situation I'm at right now...
I've successfully downgraded the boot2 using a USB/Serial adapter to I believe the lowest it can go for my revision (3.2.4.7), and now I'm trying to download any OS, but it gives me the "[M7] You cannot install a version of the OS that is older than the currently installed version" error.
I've tried OSes from 3.x to 4.5, and despite the downgraded boot2, only 4.5.1 will install successfully.

Device info:
Type: Nspire CX CAS
Boot1: 3.0.0.99
Boot2: 3.2.4.7
OS: 0.0.0

I'm looking for any help now... I'm especially confused why, despite having the right boot2 and no OS installed, the calculator still rejects any other OS.